
package org.mule.module.google.calendar.adapters;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>GoogleCalendarConnectorModuleCapabilitiesAdapter</code> is a wrapper around {@link org.mule.module.google.calendar.GoogleCalendarConnectorModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class GoogleCalendarConnectorModuleCapabilitiesAdapter
    extends org.mule.module.google.calendar.GoogleCalendarConnectorModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        if (capability == Capability.OAUTH2_CAPABLE) {
            return true;
        }
        return false;
    }

}
